aboutsummaryrefslogtreecommitdiffstats
path: root/testing/moreutils/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2014-12-31 14:02:05 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2014-12-31 14:02:11 +0000
commit441f096241f927445a815a847281cfc384a62f05 (patch)
tree11aed0c2afe6901c0a85fe1fdbb8b1057f7271d8 /testing/moreutils/APKBUILD
parent3fd375e4d37ea6150ef5c57d3a8c324ac7e2c502 (diff)
downloadaports-441f096241f927445a815a847281cfc384a62f05.tar.gz
aports-441f096241f927445a815a847281cfc384a62f05.tar.bz2
aports-441f096241f927445a815a847281cfc384a62f05.tar.xz
testing/moreutils: new aport. Fixes #3606
Diffstat (limited to 'testing/moreutils/APKBUILD')
-rw-r--r--testing/moreutils/APKBUILD50
1 files changed, 50 insertions, 0 deletions
diff --git a/testing/moreutils/APKBUILD b/testing/moreutils/APKBUILD
new file mode 100644
index 0000000000..774308fd84
--- /dev/null
+++ b/testing/moreutils/APKBUILD
@@ -0,0 +1,50 @@
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer:
+pkgname=moreutils
+pkgver=0.54
+pkgrel=0
+pkgdesc="A growing collection of the unix tools that nobody thought to write thirty years ago"
+url="http://joeyh.name/code/moreutils/"
+arch="all"
+license="GPL"
+depends="perl perl-timedate perl-ipc-run"
+depends_dev="docbook-xsl docbook-xml perl-xml-sax libxslt-dev linux-headers"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://ftp.de.debian.org/debian/pool/main/m/moreutils/moreutils_$pkgver.orig.tar.gz
+ docbook-xsl.patch"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+ sed -i 's|schema/dtd/4.4|xml-dtd-4.5|g' *.docbook
+
+}
+
+build() {
+ cd "$_builddir"
+ make
+}
+
+package() {
+ cd "$_builddir"
+ make PREFIX=$pkgdir/usr install
+ chmod 0644 $pkgdir/usr/share/man/man1/*
+ mv $pkgdir/usr/share/man/man1/ts.1 $pkgdir/usr/share/man/man1/ts.1moreutils
+ mv $pkgdir/usr/share/man/man1/parallel.1 $pkgdir/usr/share/man/man1/parallel-moreutils.1
+ mv $pkgdir/usr/bin/parallel $pkgdir/usr/bin/parallel-moreutils
+}
+
+md5sums="1ced0ba9ac133cb81bbe2424f60d0a8a moreutils_0.54.orig.tar.gz
+68e572a714bc5412dbe42d57d7618134 docbook-xsl.patch"
+sha256sums="50281c4d6bbbc8ab08f881c44a01c367049a09c19b7375023dec2543493b529f moreutils_0.54.orig.tar.gz
+73460164df90f4d842a9d9f4f3a1eb845239f0817c651676779af275e3cdab3a docbook-xsl.patch"
+sha512sums="c398ed126e5735356688654ee361063cbe8dbd76ff28aa856feb87c0a1fe812d78c2cd1ee84b029180c45161720659669960362583744ad4c9e3105c2575a2a1 moreutils_0.54.orig.tar.gz
+8c8103ab871b7c4c94bba79d485152837c696de57c35f2d3a3fda042eb85d7b1a7ab1ca7e323012d06f9753af96d2a74e9432ab99bb697695fa145dea1c40dff docbook-xsl.patch"